%global gem_name dalli
%global enable_test 0
Name:                rubygem-%{gem_name}
Version:             3.2.2
Release:             2
Summary:             High performance memcached client for Ruby
License:             MIT
URL:                 https://github.com/petergoldstein/dalli
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             %{gem_name}-%{version}-tests.tgz
Patch0:              rubygem-dalli-2.7.6-Use-assert_nil-in-tests.patch
Patch1:              rubygem-dalli-2.7.6-Fix-memcached-1.5.4-compatibility.patch
Patch2:              CVE-2022-4064-1.patch
Patch3:              CVE-2022-4064-2.patch
BuildRequires:       ruby(release) rubygems-devel
%if 0%{enable_test} > 0
BuildRequires:       memcached rubygem(minitest) rubygem(mocha) rubygem(rails)
BuildRequires:       rubygem(connection_pool)
%endif
BuildRequires:       ruby
BuildArch:           noarch
%description
High performance memcached client for Ruby

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}

%prep
%setup -q -n %{gem_name}-%{version}
%patch2 -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
%if 0%{enable_test} > 0
pushd .%{gem_instdir}
tar xzvf %{SOURCE1}
cat %{PATCH0} | patch -p1
cat %{PATCH1} | patch -p1
cat %{PATCH3} | patch -p1
sed -i '/bundler/ s/^/#/' test/helper.rb
ruby -Ilib:test -e "Dir.glob('./test/test_*.rb').sort.each{ |x| require x }"
popd
%endif

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/History.md
%{gem_instdir}/Gemfile

%changelog
* Thu Dec 15 2022 liyuxiang <liyuxiang@ncti-gba.cn> - 3.2.2-2
- fix CVE-2022-4064

* Tue Jun 28 2022 baizhonggui <baizhonggui@h-partners.com> - 3.2.2-1
- update to 3.2.2

* Fri Jul 24 2020 wutao <wutao61@huawei.com> - 2.7.8-1
- package init
